
function showPopupWindowWithText(caption, text, width, height, capt_color, hidescroll){
    var wi = (width!==undefined)?width:880;
    var hi = (height!==undefined)?height:400;
    var cpt_cl = (capt_color!==undefined)?capt_color:'#FFFFFF';
    var scrovfw = "auto";
    if ((hidescroll!==undefined)&&(hidescroll == true)) scrovfw = "hidden";
    $("#popup_blocker").remove();
    $(document.body).prepend("<div id='popup_blocker' class='popup_blocker' style='display:none;'>"+
        "<div id='hs_popup_window' class='popup_window' style='max-width:"+wi+"px; max-height:"+hi+"px;'>"+
        "<div style='position: absolute; left:0px; top:0px; right:0px; height:35px; padding: 10px 40px 10px 15px; background-color: "+cpt_cl+"; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;'>"+caption+"</div>"+
        "<div id='hs_popup_text_container' style='overflow-y: "+scrovfw+"; position: absolute; left:15px; top:50px; right:15px; bottom:15px; line-height: 1.2;'>"+text+"</div>"+
        "<img id='popup_close_btn' class='popup_close_btn' style='z-index: 100;' onclick='hidePopupWindow();' src='img/exit_site.png'></div></div>");
    $("#popup_blocker").stop().fadeIn(300);
}

function hidePopupWindow(){
    $("#popup_blocker").stop().fadeOut(200, function () { $(this).remove();});
}

function lessonAudioTextBtnClick(name, audfile) {
    showPopupWindowWithText(name,"<audio style='width: 100%; height: 40px;' controls autoplay><source src='"+audfile+".mp3' type='audio/mp3'></audio>",400,112,"#b6e5f5",true);
}

var global_text = "– Скажи-ка, дядя, ведь недаром<br>"+
    "Москва, спалённая пожаром,<br>"+
    "Французу отдана?<br>"+
    "Ведь были ж схватки боевые,<br>"+
    "Да, говорят, ещё какие!<br>"+
    "Недаром помнит вся Россия<br>"+
    "Про день Бородина!<br><br>"+
	
	"– Да, были люди в наше время,<br>"+
    "Не то, что нынешнее племя:<br>"+
    "Богатыри – не вы!<br>"+
    "Плохая им досталась доля:<br>"+
    "Немногие вернулись с поля…<br>"+
    "Не будь на то господня воля,<br>"+
    "Не отдали б Москвы!<br><br>"+

	"Мы долго молча отступали,<br>"+
    "Досадно было, боя ждали,<br>"+
    "Ворчали старики:<br>"+
    "«Что ж мы? на зимние квартиры?<br>"+
    "Не смеют, что ли, командиры<br>"+
    "Чужие изорвать мундиры<br>"+
    "О русские штыки?»<br><br>"+

	"И вот нашли большое поле:<br>"+
    "Есть разгуляться где на воле!<br>"+
    "Построили редут.<br>"+
    "У наших ушки на макушке!<br>"+
    "Чуть утро осветило пушки<br>"+
    "И леса синие верхушки –<br>"+
    "Французы тут как тут.<br><br>"+

	"Забил заряд я в пушку туго<br>"+
    "И думал: угощу я друга!<br>"+
    "Постой-ка, брат мусью!<br>"+
    "Что тут хитрить, пожалуй к бою;<br>"+
    "Уж мы пойдём ломить стеною,<br>"+
    "Уж постоим мы головою<br>"+
    "За родину свою!<br><br>"+

	"Два дня мы были в перестрелке.<br>"+
    "Что толку в этакой безделке?<br>"+
    "Мы ждали третий день.<br>"+
    "Повсюду стали слышны речи:<br>"+
    "«Пора добраться до картечи!»<br>"+
    "И вот на поле грозной сечи<br>"+
    "Ночная пала тень.<br><br>"+

    "Прилёг вздремнуть я у лафета,<br>"+
    "И слышно было до рассвета,<br>"+
    "Как ликовал француз.<br>"+
    "Но тих был наш бивак открытый:<br>"+
    "Кто кивер чистил весь избитый,<br>"+
    "Кто штык точил, ворча сердито,<br>"+
    "Кусая длинный ус.";


