/**
 * Created by HeadShooter2 on 20.11.2015.
 */
//globals

var cor_reactions = [{sound:"audio/molodec",text:"Молодец!"},{sound:"audio/umnica",text:"Умница!"},{sound:"audio/pravvibor",text:"Правильный выбор!"},
                     {sound:"audio/vervib",text:"Верный выбор!"},{sound:"audio/horosotvet",text:"Хороший ответ!"},{sound:"audio/zamechat",text:"Замечательно!"},{sound:"audio/och_horosho",text:"Очень хорошо!"}];
var wr_reactions = [{sound:"audio/podumayeshe",text:"Подумай ещё."},{sound:"audio/aeslipod",text:"А если подумать?"},{sound:"audio/nestoittorop",text:"Не стоит торопиться."},{sound:"audio/osibvishla",text:"Ошибочка вышла!"}];

function DoCorrectReaction() {
    var snd_ind = Math.floor(Math.random()*cor_reactions.length);
    $("audio").remove();
    var aud_cor = new HSAudio("audio_react");
    aud_cor.play(cor_reactions[snd_ind].sound);
    aud_cor = null;
    $("#answ_comment").remove();
    HSAddText(scene,"answ_comment",25,608,cor_reactions[snd_ind].text,"baseText_24 violet",10,240,30);
}

function DoWrongReaction() {
    var snd_ind = Math.floor(Math.random()*wr_reactions.length);
    $("audio").remove();
    var aud_wrong = new HSAudio("audio_react");
    aud_wrong.play(wr_reactions[snd_ind].sound);
    aud_wrong = null;
    $("#answ_comment").remove();
    HSAddText(scene,"answ_comment",25,608,wr_reactions[snd_ind].text,"baseText_24 violet",10,240,30);
}

function cleanupScene() {
    scene.html("");
}

function HSLoadMainScene() {
    cleanupScene();

    HSAddImage(scene, "kulibina",160,110,"video/1.jpg",1);
    //var author_photo = HSAddImage(scene, "author_photo",720,110,"img/avt.jpg",3).hide();
    var menu_cont = HSAddContainer(scene,"menu_cont",720,110,1,560,580);
    //HSLoadScene2_2();
    // HSAddText(menu_cont,"menu_txt1",0,-58,"Урок состоит из трёх частей:","baseText_20 black bold");
    // HSAddText(menu_cont,"menu_txt2",0,0,"<span style='font-weight:bold; color:#c0d400'>1.</span>&nbsp;Предтекстовая подготовка | <span style='font-size:14px;color:#a2a2a2'>запустите видео</span>","baseText_20 black");
    // HSAddText(menu_cont,"menu_txt3",0,50,"<span style='font-weight:bold; color:#c0d400'>2.</span> Притекстовая работа | <span style='font-size:14px;color:#a2a2a2'>слушаем, читаем и интерактивно размышляем</span>","baseText_20 black");
    // HSAddText(menu_cont,"menu_txt4",0,100,"<span style='font-weight:bold; color:#c0d400'>•</span>&nbsp;&nbsp;<a onclick='HSLoadScene2_1()' href='javascript:void(0);'>Читаем целиком</a>","baseText_20 black");
     //HSAddText(menu_cont,"menu_txt5",0,135,"<span style='font-weight:bold; color:#c0d400'>•</span>&nbsp;&nbsp;<a onclick='HSLoadScene2_2()' href='javascript:void(0);'>Читаем первые четыре строки стихотворения</a>","baseText_20 black");
     //HSAddText(menu_cont,"menu_txt6",0,170,"<span style='font-weight:bold; color:#c0d400'>•</span>&nbsp;&nbsp;<a onclick='HSLoadScene2_3()' href='javascript:void(0);'>Добавим последние две строки и прочитаем их вместе</a>","baseText_20 black");
    // HSAddText(menu_cont,"menu_txt17",0,220,"<span style='font-weight:bold; color:#c0d400'>3.</span>&nbsp;<a onclick='HSLoadScene3()' href='javascript:void(0);'>Послетекстовая работа</a>","baseText_20 black");

    // HSAddText(menu_cont,"menu_txt17",0,220,"<span style='font-weight:bold; color:#c0d400'>3.</span>&nbsp;<a onclick='HSLoadScene3()' href='javascript:void(0);'>Послетекстовая работа</a>","baseText_20 black");
    // var video_main;
    var video_act;
    video_act = new HSVideoActions("video_acts",160,110,452,340,10,false);
    video_act.actions = [
        [{action:"addPic",objName:"author_photo",left:720,top:110,zind:1,srcPath:"img/avtor.jpg"},
            {action:"addText",objName:"auth_text",left:720,top:460,zind:1,text:"Михаил Юрьевич Лермонтов (1814-1841) – поэт, прозаик, драматург и художник.",style: "lh15", width:460,height:30}],
        [{action:"addText",objName:"proiz",left:325,top:550,zind:1,text:"Наиболее известные произведения: стихотворение «Бородино», поэма «<span id='hintzone1' class='bl u activezone'>Демон</span>», драма «<span id='hintzone2' class='bl u activezone'>Маскарад</span>», роман «<span id='hintzone3' class='bl u activezone'>Герой нашего времени</span>».",style:"lh15",width:900,height:110},
            {action:"callFunc",func:attachHints}]
    ];
    video_act.actiontimes = [10.00,20.0];
    video_act.load("video/1_1", scn1_video_finished);
    function attachHints() {
        HSAddTooltip_n($("#hintzone1"),"Над поэмой «Демон» поэт работал в течение десяти лет – с 1829 по 1839 год.",400);
        HSAddTooltip_n($("#hintzone2"),"Драма «Маскарад» о нравах петербургских салонов написана в 1835 году.",400);
        HSAddTooltip_n($("#hintzone3"),"«Герой нашего времени» (1837-1840) – первый в русской литературе психологический роман.",400);
    }
    //attachHints();
   // var backbtn = HSAddButton(scene,"backbtn",1225,30,"img/back_1.jpg",10).click(HSLoadMainScene).hide();
   // var btn_next = HSAddButton(scene,"btn_next",1225,70,"img/next_green.png",10).click(HSLoadScene2_1).hide();

    var playaudbtn = HSAddImage(scene,"playaudbtn",528,416,"img/play.png",10);
    playaudbtn.css("cursor", "pointer");
    playaudbtn.click(function() {
        menu_cont.remove();
        video_act.play();
        playaudbtn.remove();
      //  backbtn.show();
      //  btn_next.show();
    });

    function scn1_video_finished() {
        var btn_next1 = HSAddTextButton(scene,"btn_next1",462,500,"Далее",10,150,50);
        btn_next1.click(function() {
            btn_next1.remove();
            //  HSLoadScene2_1();
            $("#video_acts").remove();
            video_act = new HSVideoActions("video_acts",160,110,452,340,10,false);
            video_act.actions = [
                [{action:"fadeOut",objName:"author_photo"},{action:"fadeOut",objName:"auth_text"},{action:"removeObj",objName:"proiz"}],
                [{action:"addPic",objName:"photo2",left:720,top:110,zind:1,srcPath:"img/kutuzov.jpg"},
                    {action:"addText",objName:"text2",left:720,top:460,zind:1,text:"Михаил Илларионович Кутузов (1747–1813) – русский полководец, генерал-фельдмаршал, главнокомандующий русской армией во время Отечественной войны 1812 года.",style: "lh15", width:460,height:30}]

            ];
            video_act.actiontimes = [29.0,30.00];
            video_act.load("video/1_2", scn1_video_finished2);
            video_act.play();
        });
    }
    function scn1_video_finished2() {
        var btn_next2 = HSAddTextButton(scene,"btn_next2",462,500,"Далее",10,150,50);
        btn_next2.click(function() {
            btn_next2.remove();
            $("#video_acts").remove();
            video_act = new HSVideoActions("video_acts",160,110,452,340,10,false);
            video_act.actions = [
                [{action:"fadeOut",objName:"photo2"},{action:"fadeOut",objName:"text2"}],
                [{action:"addPic",objName:"photo3",left:720,top:110,zind:1,srcPath:"img/tolstoy.jpg"},
                    {action:"addText",objName:"auth_text",left:720,top:460,zind:1,text:"Лев Николаевич Толстой (1828–1910) – русский писатель и мыслитель, один из величайших в мире романистов, просветитель, публицист.",style: "lh15", width:460,height:30}]

            ];
            video_act.actiontimes = [14.00,15.0];
            video_act.load("video/1_3", scn1_video_finished3);
            video_act.play();
        });
    }
    function scn1_video_finished3() {
        var btn_next3 = HSAddTextButton(scene,"btn_next3",462,500,"Далее",10,150,50);
        btn_next3.click(function() {
            HSLoadScene2_1();
        });
    }
   // HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_2);  //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
}
var alltextdata1 =  ["– Скажи-ка, дядя, ведь недаром",
    "Москва, спалённая пожаром,",
    "Французу отдана?",
    "Ведь были ж схватки боевые,",

    "Да, говорят, ещё какие!",
    "Недаром помнит вся Россия",
    "Про день Бородина!"];

var alltextdata2 =  ["– Да, были люди в наше время,",
    "Не то, что нынешнее племя:",
    "Богатыри – не вы!",
    "Плохая им досталась доля:",

    "Немногие вернулись с поля…",
    "Не будь на то господня воля,",
    "Не отдали б Москвы!"];

var alltextdata3 =  ["Мы долго молча отступали,",
    "Досадно было, боя ждали,",
    "Ворчали старики:",
    "«Что ж мы? на зимние квартиры?",

    "Не смеют, что ли, командиры",
    "Чужие изорвать мундиры",
    "О русские штыки?»"];

var alltextdata4 =  ["И вот нашли большое поле:",
    "Есть разгуляться где на воле!",
    "Построили редут.",
    "У наших ушки на макушке!",

    "Чуть утро осветило пушки",
    "И леса синие верхушки –",
    "Французы тут как тут."];

var alltextdata5 =  ["Забил заряд я в пушку туго",
    "И думал: угощу я друга!",
    "Постой-ка, брат мусью!",
    "Что тут хитрить, пожалуй к бою;",

    "Уж мы пойдём ломить стеною,",
    "Уж постоим мы головою",
    "За родину свою!"];

var alltextdata6 =  ["Два дня мы были в перестрелке.",
    "Что толку в этакой безделке?",
    "Мы ждали третий день.",
    "Повсюду стали слышны речи:",

    "«Пора добраться до картечи!»",
    "И вот на поле грозной сечи",
    "Ночная пала тень."];

var alltextdata7 =  ["Прилёг вздремнуть я у лафета,",
    "И слышно было до рассвета,",
    "Как ликовал француз.",
    "Но тих был наш бивак открытый:",

    "Кто кивер чистил весь избитый,",
    "Кто штык точил, ворча сердито,",
    "Кусая длинный ус."];

function HSLoadScene2_1() {
    cleanupScene();

    HSAddImage(scene,"kulibina",160,110,"video/2_1.jpg",1,452,340);
    HSAddText(scene,"nazv",830,50,"БОРОДИНО");
    var video_kar = new HSVideoKaraoke("video_main",160,110,452,340,10,false);
    var del_y = 30;

    video_kar.lines[0] = ["– Скажи́-ка,"," дя́дя,"," ведь"," неда́ром"];  ///у́
    video_kar.times[0] = [5.5,6.2,7.2,7.5];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = ["Москва́,"," спалённая"," пожа́ром,"];
    video_kar.times[1] = [8.7,9.3,10.2];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = ["Францу́зу"," отдана́?"];
    video_kar.times[2] = [11.3,12.1];
    video_kar.coords[2] = [0,del_y*2];
    video_kar.lines[3] = ["Ведь"," бы́ли ж"," схва́тки"," боевы́е,"];
    video_kar.times[3] = [13.6,14.0,14.5,15.0];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = ["Да,"," говоря́т,"," ещё"," каки́е!"];
    video_kar.times[4] = [16.6,16.6,17.1,17.4];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = ["Неда́ром"," по́мнит"," вся"," Росси́я"];
    video_kar.times[5] = [18.8,19.5,19.87,20.26];
    video_kar.coords[5] = [0,del_y*5];
    video_kar.lines[6] = ["Про день"," Бородина́!"];
    video_kar.times[6] = [21.4,22.1];
    video_kar.coords[6] = [0,del_y*6];
    video_kar.lines[7] = [" "];
    video_kar.times[7] = [23.0];
    video_kar.coords[7] = [0,del_y*7];

    video_kar.load("video/2_1",0.0,kar_play_finish);
    video_kar.updateText();
    var plavidbtn = HSAddButton(scene,"playvideobutton",528,416,"img/play.png",10);
    plavidbtn.click(function() {
        video_kar.play();
        plavidbtn.hide();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
     //   raz1 = 1;
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene,"btn_quest"+idx.toString(),462,500,"Задание "+idx.toString(),10,150,50).addClass("quest_start_button").click(function(event) {
            $(event.target).off("click");
            $(event.target).css({"cursor":"default","background-color":"#FFFFFF","border":"1px solid #c2d200"});
            $("#comment1").remove();
            $("#comment2").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
            //vid_obj.updateText();
            startQuestion(idx);
        });
    }

    function startQuestion(idx) {
        plavidbtn.remove();
        $(".hs_question_extra").remove();

        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_1",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Обратите внимание на знак тире в первой строчке. Как вы его объясните?"}],
                    [{action:"Q_answ",caption:"Это знак начала стихотворения.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Здесь начинается прямая речь.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q1_answered}]];
                audio_obj.actiontimes = [0.10,7.2,10.3,13.0];
                audio_obj.play("audio/2_1_q1");
                break;
            case 2:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_2",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"В этой строфе приводится прямая речь одного человека или нескольких собеседников?"}],
                    [{action:"Q_answ",caption:"Одного.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Нескольких.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q2_answered}]];
                audio_obj.actiontimes = [0.10,8.5,10.2,11.1];
                audio_obj.play("audio/2_1_q2");
                break;
            case 3:
                HSAddText(scene, "question_3", 325, 565, "Выделите в этой строфе слово-обращение.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_1_q3", quest3audfinish);
                break;
            case 4:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_4",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы себе представляете собеседников?"}],
                    [{action:"Q_answ",caption:"Они ровесники.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Тот, кто спрашивает, моложе.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Дядя моложе.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q4_answered}]];
                audio_obj.actiontimes = [0.10,3.7,6.0,9.2,10.8];
                audio_obj.play("audio/2_1_q4");
                break;
            case 5:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_5",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Знаете ли вы значение слова «<span class='violetBG'>недаром</span>»? Выберите все правильные ответы."}],
                    [{action:"Q_answ",caption:"Почему?",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Не зря.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Зачем?",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Не напрасно.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q5_answered}]];
                audio_obj.actiontimes = [0.10,7.2,9.2,11.0,12.8,14.0];
                audio_obj.play("audio/2_1_q5");
                break;
            case 6:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_6",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы понимаете выражение «Москва, спалённая пожаром»? О каком пожаре здесь идёт речь?"}],
                    [{action:"Q_answ",caption:"О пожаре 1812 года.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"О пожаре XV века.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q6_answered}]];
                audio_obj.actiontimes = [0.10,9.6,13.7,15.8];
                audio_obj.play("audio/2_1_q6");
                break;
            case 7:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_7",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Какими, по мнению говорящего, были схватки, т.е. сражения, если он говорит:<br>Ведь были ж схватки боевые, <span class='violetBG'>Да, говорят, ещё какие!</span>"}],
                    [{action:"Q_answ",caption:"Он слышал, что схватки были страшными, ожесточёнными.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Он не знает, какими они были.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q7_answered}]];
                audio_obj.actiontimes = [0.10,14.2,19.6,21.8];
                audio_obj.play("audio/2_1_q7");
                break;
            case 8:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_8",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Почему говорящий обращается с этим вопросом к <span class='violetBG'>дяде</span>?"}],
                    [{action:"Q_answ",caption:"Ему просто хочется поговорить.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Возможно, <span class='violetBG'>дядя</span> – участник Бородинского сражения, скорее всего, простой солдат.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q8_answered}]];
                audio_obj.actiontimes = [0.10,6.0,9.3,15.8];
                audio_obj.play("audio/2_1_q8");
                break;
            case 9:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_9",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы понимаете форму единственного числа <span class='violetBG'>французу</span>? Кому отдана Москва? Выберите все правильные ответы."}],
                    [{action:"Q_answ",caption:"Наполеону.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Рядовому французскому солдату.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Французской армии.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q9_answered}]];
                audio_obj.actiontimes = [0.10,12.0,13.8,17.0,18.50];
                audio_obj.play("audio/2_1_q9");
                break;
            case 10:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_10",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Перечитайте строфу, какой главный вопрос волнует молодого собеседника?"}],
                    [{action:"Q_answ",caption:"Какая погода была в день сражения?",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Почему русская армия оставила Москву Наполеону?",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q10_answered}]];
                audio_obj.actiontimes = [0.10,7.4,10.6,14.4];
                audio_obj.play("audio/2_1_q10");
                break;

        }
        audio_obj = null;
    }
    function scn2_q1_answered (){
        addStartQuestionButton(2);
    }
    function scn2_q2_answered (){
        HSAddText(scene,"comment1",325,608,"Правильно, здесь несколько предложений/реплик, но их произносит один человек.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_1_q2_add",function () {
            addStartQuestionButton(3);
            audio_obj = null;
        });
    }
    function quest3audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_0").hide();
        var y_kar = 110;
        HSAddText(scene,"txtline1",740,y_kar,"– Скажи́-ка, <span id='selword1' class='selword selword_d'>дя́дя</span>, ведь неда́ром","hs_question_extra baseText_20",10);
        HSAddZone(scene,"wrongzone_0",740,y_kar,12,109,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_01",892,y_kar,12,130,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",740,140,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",740,169,12,160,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",740,198,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",740,227,12,210,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",740,256,12,250,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",740,285,12,180,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 1) {

                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_0").show();
                    // $("#kar_line_1").show();
                    DoCorrectReaction();
                    addStartQuestionButton(4);
                }
            });
        });
    }
    function scn2_q4_answered (){
        HSAddText(scene,"comment1",325,585,"Слово «<span class='violetBG'>дядя</span>» – разговорное обращение к мужчине, который старше говорящего. Это разговор представителей разных поколений.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_1_q4_add",function () {
            addStartQuestionButton(5);
            audio_obj = null;
        });
    }
    function scn2_q5_answered (){
        HSAddText(scene,"comment1",325,585,"Обратите внимание, что в этой строфе слово «<span class='violetBG'>недаром</span>» употреблено дважды. Поэт подчёркивает, что случившееся не было случайностью.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_1_q5_add",function () {
            addStartQuestionButton(6);
            audio_obj = null;
        });
    }
    function scn2_q6_answered (){
        HSAddText(scene,"comment1",325,585,"Как вы уже знаете, Москва загорелась после того, как её покинули войска <br>Кутузова и жители.","lh13",1,940);
        HSAddImage(scene, "comment2", 1040, 565, "img/pojar.jpg", 1, 210);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_1_q6_add",function () {
            addStartQuestionButton(7);
            audio_obj = null;
        });
    }
    function scn2_q7_answered (){
        HSAddText(scene,"comment1",325,585,"Эмоциональное разговорное выражение «да ещё какой!» употребляется при подчеркивании, усилении какого-либо качества или признака.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_1_q7_add",function () {
            addStartQuestionButton(8);
            audio_obj = null;
        });
    }
    function scn2_q8_answered (){
        HSAddText(scene,"comment1",325,608,"Лермонтов пишет стихотворение в год 25-летия Бородинского сражения, многие его участники ещё живы.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_1_q8_add",function () {
            addStartQuestionButton(9);
            audio_obj = null;
        });
    }
    function scn2_q9_answered (){
        addStartQuestionButton(10);
    }
    function scn2_q10_answered (){
        HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_2);
    }

}

function HSLoadScene2_2() {
    cleanupScene();

    HSAddImage(scene,"kulibina",160,110,"video/2_2.jpg",1,452,340);
    var video_kar = new HSVideoKaraoke("video_main",160,110,452,340,10,false);
    HSAddText(scene,"nazv",830,50,"БОРОДИНО");
    var del_y = 26;

    video_kar.lines[0] = [alltextdata1[0]];
    video_kar.times[0] = [8.3];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = [alltextdata1[1]];
    video_kar.times[1] = [11.4];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = [alltextdata1[2]];
    video_kar.times[2] = [14.0];
    video_kar.coords[2] = [0,del_y*2];
    video_kar.lines[3] = [alltextdata1[3]];
    video_kar.times[3] = [16.1];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = [alltextdata1[4]];
    video_kar.times[4] = [18.9];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = [alltextdata1[5]];
    video_kar.times[5] = [21.2];
    video_kar.coords[5] = [0,del_y*5];
    video_kar.lines[6] = [alltextdata1[6]];
    video_kar.times[6] = [23.8];
    video_kar.coords[6] = [0,del_y*6];

    video_kar.lines[7] = ["– Да,"," бы́ли"," лю́ди"," в на́ше"," вре́мя,"];  //у́
    video_kar.times[7] = [26.4,27.4,28.0,28.45,29.0];
    video_kar.coords[7] = [0,10+del_y*7];
    video_kar.lines[8] = ["Не"," то,"," что"," ны́нешнее"," пле́мя:"];
    video_kar.times[8] = [30.1,30.3,30.5,30.8,31.6];
    video_kar.coords[8] = [0,10+del_y*8];
    video_kar.lines[9] = ["Богатыри́"," – не"," вы!"];
    video_kar.times[9] = [32.6,33.9,34.3];
    video_kar.coords[9] = [0,10+del_y*9];
    video_kar.lines[10] = ["Плоха́я"," им"," доста́лась"," до́ля:"];
    video_kar.times[10] = [35.6,36.3,36.5,37.2];
    video_kar.coords[10] = [0,10+del_y*10];
    video_kar.lines[11] = ["Немно́гие"," верну́лись"," с по́ля…"];
    video_kar.times[11] = [38.3,38.8,39.5];
    video_kar.coords[11] = [0,10+del_y*11];
    video_kar.lines[12] = ["Не будь"," на то"," госпо́дня"," во́ля,"];
    video_kar.times[12] = [40.9,41.5,41.8,42.5];
    video_kar.coords[12] = [0,10+del_y*12];
    video_kar.lines[13] = ["Не о́тдали б"," Москвы́!"];
    video_kar.times[13] = [43.6,44.8];
    video_kar.coords[13] = [0,10+del_y*13];
    video_kar.lines[14] = [" "];
    video_kar.times[14] = [45.5];
    video_kar.coords[14] = [0,10+del_y*14];

    video_kar.load("video/2_2",0.0,kar_play_finish);
    video_kar.updateText();

    var plavidbtn = HSAddButton(scene,"playvideobutton",528,416,"img/play.png",10);
    plavidbtn.click(function() {
        video_kar.play();
        plavidbtn.hide();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene,"btn_quest"+idx.toString(),462,500,"Задание "+idx.toString(),10,150,50).addClass("quest_start_button").click(function(event) {
            $(event.target).off("click");
            $(event.target).css({"cursor":"default","background-color":"#FFFFFF","border":"1px solid #c2d200"});
            $("#comment1").remove();
            $("#comment2").remove();
            $("#btn_answ1").remove();
            $("#btn_answ2").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
           // vid_obj.updateText();
            startQuestion(idx);
        });
    }
    function attachHints() {
        HSAddTooltip_n($("#hintzone1"),"Доля – это судьба, участь.",400);
    }
    function startQuestion(idx) {
        plavidbtn.remove();
        $(".hs_question_extra").remove();
        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_1",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Обратите внимание на начало второй строфы. Как вы думаете, это…"}],
                    [{action:"Q_answ",caption:"продолжение монолога?",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"прямая речь другого человека?",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q1_answered}]];
                audio_obj.actiontimes = [0.10,6.1,8.5,11.50];
                audio_obj.play("audio/2_2_q1");
                break;
            case 2:
                HSAddText(scene, "question_2", 325, 565, "Выделите во второй строфе фрагмент-объяснение, почему русская армия оставила Москву.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_2_q2", quest2audfinish);
                break;
            case 3:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_3",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Кого дядя называет <span class='violetBG'>богатырями</span>?"}],
                    [{action:"Q_answ",caption:"Ровесников своего собеседника.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Участников Бородинского сражения.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q3_answered}]];
                audio_obj.actiontimes = [0.10,3.2,6.5,8.7];
                audio_obj.play("audio/2_2_q3");
                break;
            case 4:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_4",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Почему дядя считает, что его поколению досталась плохая <span id='hintzone1' class='bl u activezone'>доля</span>?"},{action:"callFunc",func:attachHints}],
                    [{action:"Q_answ",caption:"Многие погибли на полях сражений.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Они постарели.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q4_answered}]];
                audio_obj.actiontimes = [0.10,7.0,10.3,11.5];
                audio_obj.play("audio/2_2_q4");
                break;
        }
        audio_obj = null;
    }
    function scn2_q1_answered (){
        HSAddText(scene,"comment1",325,585,"Начало второй строфы – это ответ-согласие с тем, что сказал собеседник. Стихотворение – диалог дяди, участника тех событий, и его молодого собеседника, возможно, самого поэта, которому на момент написания этого стихотворения 23 года, и он сам задаёт эти вопросы.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_2_q1_add",function () {
            addStartQuestionButton(2);
            audio_obj = null;
        });
    }
    function quest2audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_12").hide();
        var y_kar = 110;
        var x_kar = 740;
        var y_st = 26;
        HSAddText(scene,"txtline12",x_kar,y_kar+322,"<span id='selword1' class='selword selword_d'>Не будь на то госпо́дня во́ля,</span>","hs_question_extra baseText_20",13);
        HSAddZone(scene,"wrongzone_0",x_kar,y_kar,12,285,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",x_kar,y_kar+y_st,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",x_kar,y_kar+y_st*2,12,160,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,210,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+y_st*5,12,250,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+y_st*6,12,180,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        HSAddZone(scene,"wrongzone_7",x_kar,y_kar+10+y_st*7,12,280,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_8",x_kar,y_kar+10+y_st*8,12,245,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_9",x_kar,y_kar+10+y_st*9,12,160,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_10",x_kar,y_kar+10+y_st*10,12,235,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_11",x_kar,y_kar+10+y_st*11,12,250,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_13",x_kar,y_kar+10+y_st*13,12,180,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);


        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 1) {

                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_12").show();
                    // $("#kar_line_1").show();
                    DoCorrectReaction();
                    $("audio").remove();
                    HSAddText(scene,"comment1",325,608,"Москву отдали, потому что это была <span class='violetBG'>господня</span> – божья – <span class='violetBG'>воля</span>.","lh13",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_2_q2_add",function () {
                        audio_obj = null;
                        addStartQuestionButton(3);
                    });
                }
            });
        });
    }
    function scn2_q3_answered (){
   //     HSAddText(scene,"comment1",325,608,"Нынешнее племя – молодёжь, ровесники молодого собеседника.","lh13",1,940);

  //      $("audio").remove();
  //      var audio_obj = new HSAudioActions("audio_quest_addinfo");
  //      audio_obj.play("audio/2_2_q3_add",function () {
            addStartQuestionButton(4);
    //        audio_obj = null;
    //    });
    }
    function scn2_q4_answered (){
    //    HSAddText(scene,"comment1",325,608,"Доля – это судьба, участь.","lh13",1,940);
    //    $("audio").remove();
   //     var audio_obj = new HSAudioActions("audio_quest_addinfo");
   //     audio_obj.play("audio/2_2_q4_add",function () {
            HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_3);
    //        audio_obj = null;
    //    });
    }
}

function HSLoadScene2_3() {
    cleanupScene();

    HSAddImage(scene, "kulibina", 160, 110, "video/2_3.jpg", 1, 452, 340);

    HSAddText(scene,"hint1",325,575,"Раньше войны велись только летом, а на зиму военнослужащие становились на постой в городах, чтобы отдохнуть и привести себя в порядок. Это временное жильё и называлось <span class='violetBG'>зимними квартирами</span>.","lh13 hin",1,940).hide();
    HSAddText(scene,"hint2",325,635,"<span class='violetBG'>Штык</span> – острое оружие на конце ствола военного ружья.","lh13 hin",1,940).hide();

    var video_kar = new HSVideoKaraoke("video_main", 160, 110, 452, 340, 10, false);

    var del_y = 30;

    video_kar.lines[0] = ["Мы"," до́лго"," мо́лча"," отступа́ли,"];  ///у́
    video_kar.times[0] = [3.7,4.0,4.8,5.5];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = ["Доса́дно"," бы́ло,"," бо́я"," жда́ли,"];
    video_kar.times[1] = [7.2,8.1,9.0,9.6];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = ["Ворча́ли"," старики́:"];
    video_kar.times[2] = [11.1,11.8];
    video_kar.coords[2] = [0,del_y*2];
    // video_kar.lines[3] = ["«Что ж"," мы?"," <span id='hintzone1' class='bl u activezone'>на зи́мние</span>"," <span id='hintzone3' class='bl u activezone'>кварти́ры</span>?"];
    video_kar.lines[3] = ["«Что ж"," мы?"," на зи́мние"," кварти́ры?"];
    video_kar.times[3] = [13.2,13.6,14.5,15.2];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = ["Не сме́ют,"," что ли,"," команди́ры"];
    video_kar.times[4] = [16.6,17.3,17.9];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = ["Чужи́е"," изорва́ть"," мунди́ры"];
    video_kar.times[5] = [19.2,19.7,20.5];
    video_kar.coords[5] = [0,del_y*5];
    // video_kar.lines[6] = ["О ру́сские"," <span id='hintzone2' class='bl u activezone'>штыки́</span>?»"];
    video_kar.lines[6] = ["О ру́сские"," штыки́»"];
    video_kar.times[6] = [21.7,22.6];
    video_kar.coords[6] = [0,del_y*6];
    video_kar.lines[7] = [" "];
    video_kar.times[7] = [23.4];
    video_kar.coords[7] = [0,del_y*7];

    video_kar.load("video/2_3", 0.0, kar_play_finish);
    video_kar.updateText();

    var plavidbtn = HSAddButton(scene, "playvideobutton", 528, 416, "img/play.png", 10);
    plavidbtn.click(function () {
        video_kar.play();
        plavidbtn.hide();
        $(".hin").show();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene, "btn_quest" + idx.toString(), 462, 500, "Задание " + idx.toString(), 10, 150, 50).addClass("quest_start_button").click(function (event) {
            $(event.target).off("click");
            $(event.target).css({"cursor": "default", "background-color": "#FFFFFF", "border": "1px solid #c2d200"});
            $("#comment1").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
            // vid_obj.updateText();
            startQuestion(idx);
        });
    }

    function startQuestion(idx) {
        $(".hs_question_extra").remove();
        plavidbtn.remove();
        $(".hin").hide();
        //plavidbtn.show();
        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_1",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы думаете, эта строфа …"}],
                    [{action:"Q_answ",caption:"продолжение рассказа дяди?",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"речь молодого собеседника?",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q1_answered}]];
                audio_obj.actiontimes = [0.10,3.1,6.6,8.60];
                audio_obj.play("audio/2_3_q1");
                break;
            case 2:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_2",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как, по словам дяди, солдаты относились к отступлению?"}],
                    [{action:"Q_answ",caption:"Были рады отдыху.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Были недовольны, досадовали.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q2_answered}]];
                audio_obj.actiontimes = [0.10,5.7,8.1,11.0];
                audio_obj.play("audio/2_3_q2");
                break;
            case 3:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_3",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Кто такие <span class='violetBG'>старики</span>?"}],
                    [{action:"Q_answ",caption:"Очень пожилые люди.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Те, кто давно служит в армии.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q3_answered}]];
                audio_obj.actiontimes = [0.10,2.8,5.3,7.4];
                audio_obj.play("audio/2_3_q3");
                break;
            case 4:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_4",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Почему ворчали старики?"}],
                    [{action:"Q_answ",caption:"Они считали, что нужно сражаться, а не отступать.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Старики боялись испортить – <span class='violetBG'>изорвать</span> – одежду.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q4_answered}]];
                audio_obj.actiontimes = [0.10,4.3,9.7,13.50];
                audio_obj.play("audio/2_3_q4");
                break;
        }
        audio_obj = null;
    }
    function scn2_q1_answered (){
        HSAddText(scene,"comment1",325,608,"Правильно, участник Бородинского сражения продолжает рассказывать о событиях осени 1812 года.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_3_q1_add",function () {
            addStartQuestionButton(2);
            audio_obj = null;
        });
    }
    function scn2_q2_answered (){
        addStartQuestionButton(3);
    }
    function scn2_q3_answered (){
        HSAddText(scene,"comment1",325,608,"<span class='violetBG'>Старики</span> (здесь) – старослужащие в возрасте 30 и более лет.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_3_q3_add",function () {
            addStartQuestionButton(4);
            audio_obj = null;
        });
    }
    function scn2_q4_answered (){
        HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_4);
    }
}

function HSLoadScene2_4() {
    cleanupScene();

    HSAddImage(scene, "kulibina", 160, 110, "video/2_4.jpg", 1, 452, 340);
    HSAddText(scene,"hint1",325,605,"<span class='violetBG'>Редут</span> – земляное сооружение в поле, предназначенное для обороны (с валом и рвом).","lh13 hin",1,940).hide();

    var video_kar = new HSVideoKaraoke("video_main", 160, 110, 452, 340, 10, false);

    var del_y = 26;

    video_kar.lines[0] = [alltextdata3[0]];
    video_kar.times[0] = [6.0];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = [alltextdata3[1]];
    video_kar.times[1] = [9.2];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = [alltextdata3[2]];
    video_kar.times[2] = [12.60];
    video_kar.coords[2] = [0,del_y*2];
    video_kar.lines[3] = [alltextdata3[3]];
    video_kar.times[3] = [14.6];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = [alltextdata3[4]];
    video_kar.times[4] = [17.7];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = [alltextdata3[5]];
    video_kar.times[5] = [20.3];
    video_kar.coords[5] = [0,del_y*5];
    video_kar.lines[6] = [alltextdata3[6]];
    video_kar.times[6] = [22.9];
    video_kar.coords[6] = [0,del_y*6];

    video_kar.lines[7] = ["И"," вот"," нашли́"," большо́е"," по́ле:"];  //у́
    video_kar.times[7] = [25.6,25.9,26.20,26.8,27.50];
    video_kar.coords[7] = [0,10+del_y*7];
    video_kar.lines[8] =  ["Есть"," разгуля́ться"," где"," на во́ле!"];
    video_kar.times[8] = [28.8,29.3,30.1,30.3];
    video_kar.coords[8] = [0,10+del_y*8];
    video_kar.lines[9] =  ["Постро́или"," реду́т."];
    video_kar.times[9] = [31.9,32.9];
    video_kar.coords[9] = [0,10+del_y*9];
    video_kar.lines[10] =  ["У на́ших"," у́шки"," на маку́шке!"];
    video_kar.times[10] = [34.8,35.7,36.3];
    video_kar.coords[10] = [0,10+del_y*10];
    video_kar.lines[11] =  ["Чуть"," у́тро"," освети́ло"," пу́шки"," "];
    video_kar.times[11] = [38.1,38.5,39.1,39.8];
    video_kar.coords[11] = [0,10+del_y*11];
    video_kar.lines[12] =  ["И ","ле́са"," си́ние"," верху́шки –"];
    video_kar.times[12] = [40.7,40.8,41.3,42.1];
    video_kar.coords[12] = [0,10+del_y*12];
    video_kar.lines[13] =  ["Францу́зы"," тут"," как"," тут."];
    video_kar.times[13] = [43.5,45.2,45.5,45.9];
    video_kar.coords[13] = [0,10+del_y*13];
    video_kar.lines[14] = [" "];
    video_kar.times[14] = [46.3];
    video_kar.coords[14] = [0,10+del_y*14];

    video_kar.load("video/2_4", 0.0, kar_play_finish);
    video_kar.updateText();

    var plavidbtn = HSAddButton(scene,"playvideobutton",528,416,"img/play.png",10);
    plavidbtn.click(function() {
        video_kar.play();
        plavidbtn.hide();
        $(".hin").show();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene,"btn_quest"+idx.toString(),462,500,"Задание "+idx.toString(),10,150,50).addClass("quest_start_button").click(function(event) {
            $(event.target).off("click");
            $(event.target).css({"cursor":"default","background-color":"#FFFFFF","border":"1px solid #c2d200"});
            $("#comment1").remove();
            $("#comment2").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
            vid_obj.updateText();
            startQuestion(idx);
        });
    }

    function startQuestion(idx) {
        plavidbtn.remove();
        $(".hin").hide();
        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_1",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы думаете, почему <span class='violetBG'>редут</span> построили на поле – большом открытом пространстве?"}],
                    [{action:"Q_answ",caption:"Чтобы было больше солнца.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Чтобы был хороший обзор и враг не мог тайно подобраться.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q1_answered}]];
                audio_obj.actiontimes = [0.10,9.4,12.0,17.0];
                audio_obj.play("audio/2_4_q1");
                break;
            case 2:
                HSAddText(scene, "question_2", 325, 565, "Выделите в четвёртой строфе устойчивое выражение (фразеологизм) со значением «готов к любой неожиданности».", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_4_q2", quest2audfinish);
                break;
            case 3:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_3",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"К чему прислушивались солдаты?"}],
                    [{action:"Q_answ",caption:"Они слушали пение птиц.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Не идёт ли неприятель.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q3_answered}]];
                audio_obj.actiontimes = [0.10,3.5,6.7,8.5];
                audio_obj.play("audio/2_4_q3");
                break;
            case 4:
                HSAddText(scene, "question_4", 325, 565, "Перечитайте обе строфы. Обратите внимание, какие местоимения использует дядя, говоря о русских солдатах. Выделите их в тексте.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_4_q4", quest4audfinish);
                break;
            case 5:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_5",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Когда появились французы?"}],
                    [{action:"Q_answ",caption:"Ранним утром.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Ночью.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q5_answered}]];
                audio_obj.actiontimes = [0.10,3.4,5.4,6.2];
                audio_obj.play("audio/2_4_q5");
                break;
            case 6:
                HSAddText(scene, "question_6", 325, 565, "Выделите в четвёртой строфе разговорное <span class='violetBG'>выражение</span>, которое объясняет, что с рассветом враги уже были на месте.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_4_q6", quest6audfinish);
                break;

        }
        audio_obj = null;
    }

    function scn2_q1_answered (){
        addStartQuestionButton(2);
    }
    function quest2audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_10").hide();
        var y_kar = 110;
        var x_kar = 740;
        var y_st = 26;
        HSAddText(scene,"txtline10",x_kar,y_kar+10+y_st*10,"У на́ших <span id='selword1' class='selword selword_d'>у́шки на маку́шке!</span>","hs_question_extra baseText_20",10);
        HSAddZone(scene,"wrongzone_0",x_kar,y_kar,12,240,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",x_kar,y_kar+y_st,12,240,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",x_kar,y_kar+y_st*2,12,160,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,290,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+y_st*5,12,226,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+y_st*6,12,170,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        HSAddZone(scene,"wrongzone_7",x_kar,y_kar+10+y_st*7,12,243,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_8",x_kar,y_kar+10+y_st*8,12,255,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_9",x_kar,y_kar+10+y_st*9,12,150,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_10_",x_kar,y_kar+10+y_st*10,12,77,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_11",x_kar,y_kar+10+y_st*11,12,230,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_12",x_kar,y_kar+10+y_st*12,12,210,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_13",x_kar,y_kar+10+y_st*13,12,190,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 1) {

                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_10").show();
                    // $("#kar_line_1").show();
                    DoCorrectReaction();
                    $("audio").remove();

                    HSAddText(scene,"comment1",325,585,"Держать <span className='violetBG'>ушки на макушке</span> (разг., нар.-поэт., перен.) – быть готовым к любой неожиданности, прислушиваться (как зверь, поднявший уши).","lh13",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_4_q2_add",function () {
                        audio_obj = null;
                        addStartQuestionButton(3);
                    });

                }
            });
        });
    }
    function scn2_q3_answered (){
        addStartQuestionButton(4);
    }
    function quest4audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_0").hide();
        $("#kar_line_3").hide();
        $("#kar_line_10").hide();
        var y_kar = 110;
        var x_kar = 740;
        var y_st = 26;
        HSAddText(scene,"txtline0",x_kar,y_kar,"<span id='selword1' class='selword selword_d'>Мы</span> долго молча отступали,","hs_question_extra baseText_20",10);
        HSAddText(scene,"txtline3",x_kar,y_kar+y_st*3,"«Что ж <span id='selword2' class='selword selword_d'>мы</span>? на зимние квартиры?","hs_question_extra baseText_20",10);
        HSAddText(scene,"txtline10",x_kar,y_kar+10+y_st*10,"У <span id='selword3' class='selword selword_d'>на́ших</span> у́шки на маку́шке!","hs_question_extra baseText_20",10);

        HSAddZone(scene,"wrongzone_0",769,y_kar,12,210,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",x_kar,y_kar+y_st,12,240,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",x_kar,y_kar+y_st*2,12,160,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,290,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+y_st*5,12,226,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+y_st*6,12,170,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        HSAddZone(scene,"wrongzone_7",x_kar,y_kar+10+y_st*7,12,243,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_8",x_kar,y_kar+10+y_st*8,12,255,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_9",x_kar,y_kar+10+y_st*9,12,150,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_10",x_kar,y_kar+10+y_st*10,12,15,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_10_",815,y_kar+10+y_st*10,12,167,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        HSAddZone(scene,"wrongzone_11",x_kar,y_kar+10+y_st*11,12,230,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_12",x_kar,y_kar+10+y_st*12,12,207,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_13",x_kar,y_kar+10+y_st*13,12,187,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 3) {

                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_0").show();
                    $("#kar_line_3").show();
                    $("#kar_line_10").show();
                    DoCorrectReaction();
                    $("audio").remove();
                    HSAddText(scene,"comment1",325,585,"Подумайте, почему именно эти местоимения? Можно ли было использовать другие? Позже мы обсудим этот вопрос.","lh13",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_4_q4_add",function () {
                        audio_obj = null;
                        addStartQuestionButton(5);
                    });

                }
            });
        });
    }
    function scn2_q5_answered (){
        addStartQuestionButton(6);
    }
    function quest6audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_13").hide();
        var y_kar = 110;
        var x_kar = 740;
        var y_st = 26;
        HSAddText(scene,"txtline13",x_kar,y_kar+10+y_st*13,"Францу́зы <span id='selword1' class='selword selword_d'>тут как тут.</span>","hs_question_extra baseText_20",10);
        HSAddZone(scene,"wrongzone_0",x_kar,y_kar,12,240,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",x_kar,y_kar+y_st,12,230,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",x_kar,y_kar+y_st*2,12,160,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,290,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,260,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+y_st*5,12,226,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+y_st*6,12,170,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        HSAddZone(scene,"wrongzone_7",x_kar,y_kar+10+y_st*7,12,243,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_8",x_kar,y_kar+10+y_st*8,12,255,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_9",x_kar,y_kar+10+y_st*9,12,150,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_10",x_kar,y_kar+10+y_st*10,12,235,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_11",x_kar,y_kar+10+y_st*11,12,230,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_12",x_kar,y_kar+10+y_st*12,12,210,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_13",x_kar,y_kar+10+y_st*13,12,96,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 1) {
                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_13").show();
                    // $("#kar_line_1").show();
                    DoCorrectReaction();
                    $("audio").remove();
                    HSAddText(scene,"comment1",325,608,"Тут как тут (разг.) – уже здесь, уже на месте.","lh13",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_4_q6_add",function () {
                        audio_obj = null;
                        HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_5);
                    });
                }
            });
        });
    }
}

function HSLoadScene2_5() {
    cleanupScene();

    HSAddImage(scene, "kulibina", 160, 110, "video/2_5.jpg", 1, 452, 340);

    var video_kar = new HSVideoKaraoke("video_main", 160, 110, 452, 340, 10, false);

    var del_y = 30;

    video_kar.lines[0] = ["Заби́л"," заря́д"," я"," в пу́шку"," ту́го"];  ///у́
    video_kar.times[0] = [3.8,4.3,5.2,5.5,6.2];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = ["И"," ду́мал:"," угощу́"," я"," дру́га!"];
    video_kar.times[1] = [7.4,7.6,8.5,9.3,9.4];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = ["Посто́й-ка,"," брат"," мусью́!"];
    video_kar.times[2] = [10.7,11.4,11.8];
    video_kar.coords[2] = [0,del_y*2];
    video_kar.lines[3] = ["Что"," тут"," хитри́ть,"," пожа́луй"," к бо́ю;"];
    video_kar.times[3] = [13.1,13.4,13.6,14.6,15.3];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = ["Уж"," мы"," пойдём"," ломи́ть"," стено́ю,"];
    video_kar.times[4] = [16.6,16.85,17.0,17.6,18.1];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = ["Уж"," постои́м"," мы"," голово́ю"];
    video_kar.times[5] = [19.3,19.5,20.2,20.33];
    video_kar.coords[5] = [0,del_y*5];
    video_kar.lines[6] = ["За ро́дину"," свою́!"];
    video_kar.times[6] = [21.6,22.6];
    video_kar.coords[6] = [0,del_y*6];
    video_kar.lines[7] = [" "];
    video_kar.times[7] = [23.4];
    video_kar.coords[7] = [0,del_y*7];

    video_kar.load("video/2_5", 0.0, kar_play_finish);
    video_kar.updateText();

    var plavidbtn = HSAddButton(scene,"playvideobutton",528,416,"img/play.png",10);
    plavidbtn.click(function() {
        video_kar.play();
        plavidbtn.hide();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene,"btn_quest"+idx.toString(),462,500,"Задание "+idx.toString(),10,150,50).addClass("quest_start_button").click(function(event) {
            $(event.target).off("click");
            $(event.target).css({"cursor":"default","background-color":"#FFFFFF","border":"1px solid #c2d200"});
            $("#comment1").remove();
            $(".comment_all").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
            vid_obj.updateText();
            startQuestion(idx);
        });
    }

    function startQuestion(idx) {
        plavidbtn.remove();
        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                HSAddText(scene, "question_1", 325, 565, "Выделите в пятой строфе строчку, из которой ясно, что дядя был артиллеристом.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_5_q1", quest1audfinish);
                break;
            case 2:
                HSAddText(scene, "question_2", 325, 565, "Обратите внимание, что и как говорит дядя, обращаясь к противнику. Выделите в пятой строфе соответствующие выражения.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_5_q2", quest2audfinish);
                break;
            case 3:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_3",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как, по вашему мнению, русский солдат относится к солдату французской армии?"}],
                    [{action:"Q_answ",caption:"Со страхом, боится его.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"С иронией, насмешливо.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q3_answered}]];
                audio_obj.actiontimes = [0.10,6.7,10.0,12.0];
                audio_obj.play("audio/2_5_q3");
                break;
            case 4:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_4",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы понимаете устаревшее экспрессивное выражение «ломить стеною»?"}],
                    [{action:"Q_answ",caption:"Наступать на противника, несмотря на сопротивление, теснить его.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Построить новое укрепление – стену.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q4_answered}]];
                audio_obj.actiontimes = [0.10,7.4,13.6,16.8];
                audio_obj.play("audio/2_5_q4");
                break;
            case 5:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_5",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Понятно ли вам выражение «постоять головою»? Что обещает русский солдат?"}],
                    [{action:"Q_answ",caption:"Подумать, надо ли воевать.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Погибнуть, умереть за свою родину.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q5_answered}]];
                audio_obj.actiontimes = [0.10,7.7,11.0,14.0];
                audio_obj.play("audio/2_5_q5");
                break;
        }
        audio_obj = null;
    }

    function quest1audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_0").hide();
        var y_kar = 110;
        var y_st = 30;
        var x_kar = 740;
        HSAddText(scene,"txtline0",x_kar,y_kar,"<span id='selword1' class='selword selword_d'>Заби́л заря́д я в пу́шку ту́го</span>","hs_question_extra baseText_20",10);
        //  HSAddZone(scene,"wrongzone_0",760,y_kar,12,285,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_12",x_kar,y_kar+y_st,12,208,58).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,280,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,270,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+5*y_st,12,213,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+6*y_st,12,148,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 1) {
                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_0").show();
                    // $("#kar_line_1").show();
                    DoCorrectReaction();
                    $("audio").remove();
                    HSAddImage(scene,"comment2",828,565,"img/5_2_1.jpg",2).addClass("comment_all");
                    HSAddImage(scene,"comment3",1040,565,"img/5_2_1_.jpg",2).addClass("comment_all");
                    HSAddText(scene,"comment1",325,608,"На рисунке видно, как заряжали пушку.","lh13 comment_all",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_5_q1_add",function () {
                        audio_obj = null;
                        addStartQuestionButton(2);
                    });
                }
            });
        });
    }
    function quest2audfinish() {
        $(".hs_question_extra").remove();
        $("#kar_line_1").hide();
        $("#kar_line_2").hide();
        $("#kar_line_3").hide();

        var y_kar = 110;
        var y_st = 30;
        var x_kar = 740;
        HSAddText(scene,"txtline1",x_kar,y_kar+y_st,"И ду́мал: <span id='selword1' class='selword selword_d'>угощу́ я дру́га!</span>","hs_question_extra baseText_20",10);
        HSAddText(scene,"txtline2",x_kar,y_kar+y_st*2,"Посто́й-ка, <span id='selword2' class='selword selword_d'>брат мусью́!</span>","hs_question_extra baseText_20",10);
        HSAddText(scene,"txtline3",x_kar,y_kar+y_st*3,"Что тут хитри́ть, <span id='selword3' class='selword selword_d'>пожа́луй к бо́ю;</span>","hs_question_extra baseText_20",10);
        HSAddZone(scene,"wrongzone_0",x_kar,y_kar,12,240,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",x_kar,y_kar+y_st,12,80,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",x_kar,y_kar+y_st*2,12,97,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,144,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,270,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+5*y_st,12,217,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+6*y_st,12,143,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 3) {

                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_1").show();
                    $("#kar_line_2").show();
                    $("#kar_line_3").show();
                    DoCorrectReaction();
                    $("audio").remove();
                    HSAddText(scene,"comment1",325,608,"Дядя использует слова «друг», «брат», «мусью» (искажённое от месье – господин).","lh13",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_5_q2_add",function () {
                        audio_obj = null;
                        addStartQuestionButton(3);
                    });
                }
            });
        });
    }
    function scn2_q3_answered (){
        HSAddText(scene,"comment1",325,585,"Использует ироническое обращение «мусью», собирается угостить его выстрелом из пушки и насмешливо приглашает к бою. Даже стилистически нейтральные слова «брат» и «друг» здесь звучат насмешливо.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_5_q3_add",function () {
            addStartQuestionButton(4);
            audio_obj = null;
        });
    }
    function scn2_q4_answered (){
        addStartQuestionButton(5);
    }
    function scn2_q5_answered (){
        HSAddText(scene,"comment1",325,585,"В последних трёх строках пятой строфы звучит уверенность наступать несмотря ни на что, готовность отдать жизнь за родину." +
            " Обратите внимание, русский солдат снова говорит не только о себе, а обо всех русских.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_5_q5_add",function () {
            HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_6);
            audio_obj = null;
        });
    }
}

function HSLoadScene2_6() {
    cleanupScene();

    HSAddImage(scene, "kulibina", 160, 110, "video/2_6.jpg", 1, 452, 340);
    HSAddImage(scene,"hint1",325,565,"img/kartech.jpg",2).addClass("hin").hide();
    HSAddText(scene,"hint2",525,585,"<span class='violetBG'>Картечь</span> – артиллерийский снаряд, предназначенный для поражения противника на близком расстоянии.","lh13 hin",1,640).hide();

    var video_kar = new HSVideoKaraoke("video_main", 160, 110, 452, 340, 10, false);

    var del_y = 26;

    video_kar.lines[0] = [alltextdata5[0]];
    video_kar.times[0] = [9.0];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = [alltextdata5[1]];
    video_kar.times[1] = [12.0];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = [alltextdata5[2]];
    video_kar.times[2] = [15.5];
    video_kar.coords[2] = [0,del_y*2];
    video_kar.lines[3] = [alltextdata5[3]];
    video_kar.times[3] = [17.8];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = [alltextdata5[4]];
    video_kar.times[4] = [21.3];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = [alltextdata5[5]];
    video_kar.times[5] = [24.4];
    video_kar.coords[5] = [0,del_y*5];
    video_kar.lines[6] = [alltextdata5[6]];
    video_kar.times[6] = [26.6];
    video_kar.coords[6] = [0,del_y*6];

    video_kar.lines[7] = ["Два"," дня", " мы"," бы́ли"," в перестре́лке."];  //у́
    video_kar.times[7] = [29.8,30.2,30.5,30.8,31.2];
    video_kar.coords[7] = [0,10+del_y*7];
    video_kar.lines[8] = ["Что"," то́лку"," в э́такой"," безде́лке?"];
    video_kar.times[8] = [32.7,33.0,33.3,34.1];
    video_kar.coords[8] = [0,10+del_y*8];
    video_kar.lines[9] = ["Мы"," жда́ли"," тре́тий"," день."];
    video_kar.times[9] = [35.6,36.0,36.6,37.2];
    video_kar.coords[9] = [0,10+del_y*9];
    video_kar.lines[10] = ["Повсю́ду"," ста́ли"," слы́шны"," ре́чи:"];
    video_kar.times[10] = [38.5,39.5,40.0,40.5];
    video_kar.coords[10] = [0,10+del_y*10];
    video_kar.lines[11] = ["«Пора́"," добра́ться"," до карте́чи!»"];
    video_kar.times[11] = [41.5,41.9,42.9];
    video_kar.coords[11] = [0,10+del_y*11];
    video_kar.lines[12] = ["И"," вот"," на п́оле"," гро́зной"," се́чи"];
    video_kar.times[12] = [44.8,45.0,45.3,46.2,46.9];
    video_kar.coords[12] = [0,10+del_y*12];
    video_kar.lines[13] = ["Ночна́я"," па́ла"," тень."];
    video_kar.times[13] = [48.25,49.4,50.2];
    video_kar.coords[13] = [0,10+del_y*13];
    video_kar.lines[14] = [" "];
    video_kar.times[14] = [50.9];
    video_kar.coords[14] = [0,10+del_y*14];

    video_kar.load("video/2_6", 0.0, kar_play_finish);
    video_kar.updateText();

    var plavidbtn = HSAddButton(scene, "playvideobutton", 528, 416, "img/play.png", 10);
    plavidbtn.click(function () {
        video_kar.play();
        plavidbtn.hide();
        $(".hin").show();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene, "btn_quest" + idx.toString(), 462, 500, "Задание " + idx.toString(), 10, 150, 50).addClass("quest_start_button").click(function (event) {
            $(event.target).off("click");
            $(event.target).css({"cursor": "default", "background-color": "#FFFFFF", "border": "1px solid #c2d200"});
            $("#comment1").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
            vid_obj.updateText();
            startQuestion(idx);
        });
    }

    function startQuestion(idx) {
        plavidbtn.remove();
        $(".hs_question_extra").remove();
        $(".hin").remove();
        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_1",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Перечитайте шестую строфу. Понятно ли вам значение слова «перестрелка»?"}],
                    [{action:"Q_answ",caption:"Обмен выстрелами.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Стрельба холостыми зарядами.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q1_answered}]];
                audio_obj.actiontimes = [0.10,7.1,9.3,11.0];
                audio_obj.play("audio/2_6_q1");
                break;
            case 2:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_2",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы думаете, почему старый солдат называет перестрелку безделкой?"}],
                    [{action:"Q_answ",caption:"Она не требовала усилий.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Она не изменила положение на поле боя.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q2_answered}]];
                audio_obj.actiontimes = [0.10,8.0,10.7,13.9];
                audio_obj.play("audio/2_6_q2");
                break;
            case 3:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_3",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Как вы думаете, кто предлагает добраться до <span class='violetBG'>картечи</span>?"}],
                    [{action:"Q_answ",caption:"Русские солдаты.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Французы.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q3_answered}]];
                audio_obj.actiontimes = [0.10,5.0,7.1,8.2];
                audio_obj.play("audio/2_6_q3");
                break;
            case 4:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_4",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Дочитайте шестую строфу до конца. Как вы думаете, что такое <span class='violetBG'>сеча</span>?"}],
                    [{action:"Q_answ",caption:"Бой, сражение.",correct:true,onClick: null}],
                    [{action:"Q_answ",caption:"Скошенное поле.",correct:false,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q4_answered}]];
                audio_obj.actiontimes = [0.10,8.6,12.2,13.7];
                audio_obj.play("audio/2_6_q4");
                break;
        }
        audio_obj = null;
    }

    function scn2_q1_answered (){
        addStartQuestionButton(2);
    }
    function scn2_q2_answered (){
        HSAddText(scene,"comment1",325,608,"По мнению солдата, были нужны более решительные действия.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_6_q2_add",function () {
            addStartQuestionButton(3);
            audio_obj = null;
        });
    }
    function scn2_q3_answered (){
        HSAddText(scene,"comment1",325,608,"Дядя передаёт разговоры тех, кто был с ним рядом. О чём говорили французы, он просто не знает.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_6_q3_add",function () {
            addStartQuestionButton(4);
            audio_obj = null;
        });
    }
    function scn2_q4_answered (){
        HSAddText(scene,"comment1",325,585,"Сеча, т.е. бой, сражение – устаревшее в современном русском языке слово. Образовано от глагола «сечь(ся)», т.е. «биться, сражаться».","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_6_q4_add",function () {
            HSAddTextButton(scene,"btn_next",462,500,"Далее",10,150,50).click(HSLoadScene2_7);
            audio_obj = null;
        });
    }
}

function HSLoadScene2_7() {
    cleanupScene();

    HSAddImage(scene, "kulibina", 160, 110, "video/2_7.jpg", 1, 452, 340);
    HSAddText(scene,"hint1",325,575,"<span class='violetBG'>Лафет</span> – специальное приспособление, опора, на которой закрепляется ствол пушки.","lh13 hin",1,940).hide();
    HSAddText(scene,"hint2",325,615,"<span class='violetBG'>Кивер</span> – высокий головной убор в русской армии 1812 года.","lh13 hin",1,940).hide();

    var video_kar = new HSVideoKaraoke("video_main", 160, 110, 452, 340, 10, false);

    var del_y = 30;

    video_kar.lines[0] = ["Прилёг"," вздремну́ть"," я"," у лафе́та,"];  ///у́
    video_kar.times[0] = [4.4,4.9,5.6,5.9];
    video_kar.coords[0] = [0,0];
    video_kar.lines[1] = ["И"," слы́шно"," бы́ло"," до рассве́та,"];
    video_kar.times[1] = [7.6,7.8,8.4,8.7];
    video_kar.coords[1] = [0,del_y];
    video_kar.lines[2] = ["Как"," ликова́л"," францу́з."];
    video_kar.times[2] = [10.3,10.54,11.1];
    video_kar.coords[2] = [0,del_y*2];
    video_kar.lines[3] = ["Но"," тих"," был"," наш"," бива́к"," откры́тый:"];
    video_kar.times[3] = [12.8,13.1,13.3,13.6,13.9,14.4];
    video_kar.coords[3] = [0,del_y*3];
    video_kar.lines[4] = ["Кто"," ки́вер"," чи́стил"," весь"," изби́тый,"];
    video_kar.times[4] = [15.9,16.2,16.9,17.5,17.7];
    video_kar.coords[4] = [0,del_y*4];
    video_kar.lines[5] = ["Кто"," штык"," точи́л,"," ворча́"," серди́то,"];
    video_kar.times[5] = [19.2,19.6,20.0,20.8,21.2];
    video_kar.coords[5] = [0,del_y*5];
    video_kar.lines[6] = ["Куса́я"," дли́нный"," ус."];
    video_kar.times[6] = [22.6,23.3,24.1];
    video_kar.coords[6] = [0,del_y*6];
    video_kar.lines[7] = [" "];
    video_kar.times[7] = [24.9];
    video_kar.coords[7] = [0,del_y*7];

    video_kar.load("video/2_7", 0.0, kar_play_finish);
    video_kar.updateText();

    var plavidbtn = HSAddButton(scene,"playvideobutton",528,416,"img/play.png",10);
    plavidbtn.click(function() {
        video_kar.play();
        plavidbtn.hide();
        $(".hin").show();
        $(".quest_start_button").remove();
    });

    function kar_play_finish() {
        addStartQuestionButton(1);
        plavidbtn.show();
    }

    function addStartQuestionButton(idx) {
        $(".quest_start_button").remove();
        HSAddTextButton(scene,"btn_quest"+idx.toString(),462,500,"Задание "+idx.toString(),10,150,50).addClass("quest_start_button").click(function(event) {
            $(event.target).off("click");
            $(event.target).css({"cursor":"default","background-color":"#FFFFFF","border":"1px solid #c2d200"});
            $("#comment1").remove();
            $("#answ_comment").remove();
            $(".hs_question_extra").remove();
            var vid_obj = $("#video_main").data("mainobj");
            vid_obj.updateText();
            startQuestion(idx);
        });
    }

    function startQuestion(idx) {
        plavidbtn.remove();
        $(".hs_question_extra").remove();
        $(".hin").remove();
        $("#pic1").remove();
        var audio_obj = new HSAudioActions("audio_actions_quest");
        switch (idx) {
            case 1:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_1",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Посмотрите на картинку. Примерно так использовал лафет герой <br>стихотворения «Бородино». С какой целью?"}],
                    [{action:"addPic",objName:"pic1",left:1005,top:552,srcPath:"img/lafet.jpg",zind:1,style:"hs_question_object"}],
                    [{action:"Q_answ",caption:"Он делал гимнастику.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Он хотел немного поспать.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q1_answered}]];
                audio_obj.actiontimes = [0.10,0.5,10.1,12.5,14.2];
                audio_obj.play("audio/2_7_q1");
                break;
            case 2:
                HSAddText(scene, "question_2", 325, 565, "Выделите в этой строфе слово, которое даёт понять, что французы были уверены в своей победе.", "baseText_20 b lh13 hs_question_object", 1, 940, 50);
                audio_obj.play("audio/2_7_q2", quest2audfinish);
                break;
            case 3:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_3",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Прочитайте строку: <span class='violetBG'>Но тих был наш бивак открытый.</span><br>Как вы думаете, где расположилась русская армия на ночлег?"}],
                    [{action:"Q_answ",caption:"В домах.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Под открытым небом.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q3_answered}]];
                audio_obj.actiontimes = [0.10,10.8,12.5,14.0];
                audio_obj.play("audio/2_7_q3");
                break;
            case 4:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_4",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Предположите, почему русский солдат чистил свой головной убор?"}],
                    [{action:"addPic",objName:"pic1",left:1085,top:475,srcPath:"img/kiver.png",zind:1,style:"hs_question_object"}],
                    [{action:"Q_answ",caption:"Просто кивер был грязный.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Он хотел встретить врага при полном параде.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q4_answered}]];
                audio_obj.actiontimes = [0.10,0.4,7.2,10.2,14.0];
                audio_obj.play("audio/2_7_q4");
                break;
            case 5:
                audio_obj.actions = [
                    [{action:"Q_init",objName:"question_5",left:325,top:565,zind:1,width:940,height:135,removeWrong:false,text:"Француз ликовал, а чем были заняты русские солдаты в ночь перед Бородинским сражением?"}],
                    [{action:"Q_answ",caption:"Молились.",correct:false,onClick: null}],
                    [{action:"Q_answ",caption:"Готовились к бою.",correct:true,onClick: null}],
                    [{action:"Q_start",reactionCorrect:DoCorrectReaction,reactionWrong:DoWrongReaction,onAnsweredCorrect:scn2_q5_answered}]];
                audio_obj.actiontimes = [0.10,8.0,9.4,10.4];
                audio_obj.play("audio/2_7_q5");
                break;
        }
        audio_obj = null;
    }

    function scn2_q1_answered (){
        HSAddText(scene,"comment1",325,608,"Вздремнуть (разг.) – немного поспать, ненадолго заснуть.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_7_q1_add",function () {
            addStartQuestionButton(2);
            audio_obj = null;
        });
    }
    function quest2audfinish() {
        $(".hs_question_extra").remove();
        // $("#kar_line_0").hide();
        // $("#kar_line_1").hide();
        $("#kar_line_2").hide();
        var y_kar = 110;
        var y_st = 30;
        var x_kar = 740;
        HSAddText(scene,"txtline2",x_kar,y_kar+y_st*2,"Как <span id='selword1' class='selword selword_d'>ликова́л</span> францу́з.","hs_question_extra baseText_20",10);
        HSAddZone(scene,"wrongzone_0",x_kar,y_kar,12,273,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_1",x_kar,y_kar+y_st,12,255,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2",x_kar,y_kar+y_st*2,12,37,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_2_",850,y_kar+y_st*2,12,82,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_3",x_kar,y_kar+y_st*3,12,290,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_4",x_kar,y_kar+y_st*4,12,277,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_5",x_kar,y_kar+5*y_st,12,277,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);
        HSAddZone(scene,"wrongzone_6",x_kar,y_kar+6*y_st,12,162,26).addClass("handcursor questselzone hs_question_extra").click(DoWrongReaction);

        var cnt = 0;
        $(".selword").each(function () {
            cnt++;
            var zn = HSAddZone(scene,"selzone"+cnt.toString(),($(this).offset().left/mod_scale) - (scene.offset().left/mod_scale),($(this).offset().top/mod_scale) - (scene.offset().top/mod_scale),15,$(this).width(),$(this).height()).addClass("hs_question_extra");
            zn.addClass("handcursor questselzone");
            zn.data({"spanobj":$(this)});
            zn.click(function () {
                $(this).data("spanobj").addClass("greenBG");
                //$(".selword").addClass("greenBG");
                if ($(".selword.greenBG").length == 1) {

                    $(".hs_question_object").remove();
                    $(".questselzone").remove();
                    $("#kar_line_0").show();
                    // $("#kar_line_1").show();
                    DoCorrectReaction();
                    $("audio").remove();
                    // HSAddImage(scene,"comment2",828,565,"img/5_2_1.jpg",2);
                    //  HSAddImage(scene,"comment3",1040,565,"img/5_2_1_.jpg",2);
                    HSAddText(scene,"comment1",325,608,"Ликовать – бурно радоваться, шумно выражать восторг. Вряд ли дяде удалось вздремнуть на лафете.","lh13",1,940);
                    var audio_obj = new HSAudioActions("audio_quest_addinfo");
                    audio_obj.play("audio/2_7_q2_add",function () {
                        audio_obj = null;
                        addStartQuestionButton(3);
                    });
                }
            });
        });
    }
    function scn2_q3_answered (){
        HSAddText(scene,"comment1",325,608,"Правильно, бивак – это стоянка войска под открытым небом.","lh13",1,940);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_7_q3_add",function () {
            addStartQuestionButton(4);
            audio_obj = null;
        });
    }
    function scn2_q4_answered (){
        HSAddText(scene,"comment1",325,585,"Лермонтов указывает, что кивер был избитый, а не грязный. Возможно, он вместе со&nbsp;своим хозяином участвовал не в одном сражении, и солдат хотел привести его в&nbsp;порядок перед важным боем.","lh13",1,760);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_7_q4_add",function () {
            addStartQuestionButton(5);
            audio_obj = null;
        });
    }
    function scn2_q5_answered (){
        HSAddText(scene,"comment1",325,585,"Солдаты готовились к решающему сражению по-разному: кто-то приводил в порядок свою одежду, кто-то готовил оружие (штык), а кто-то просто решил отдохнуть.","lh13",1,900);
        $("audio").remove();
        var audio_obj = new HSAudioActions("audio_quest_addinfo");
        audio_obj.play("audio/2_7_q5_add",function () {
            HSAddTextButton(scene,"btn_next",462,500,"Дальше",10,150,50).click(HSLoadScene3);
            audio_obj = null;
        });
    }

}

function HSLoadScene3() {
    cleanupScene();


    HSAddButton(scene,"backbtn",1225,30,"img/back_1.jpg",10).click(HSLoadMainScene);

    HSAddImage(scene,"kulibina",160,110,"video/3.jpg",1,452,340);
    var video_main = new HSVideo("vin_video_main");
    video_main.load("video/3", video_finished);

    var text_cont = '';
    function viv_t (){
        var  alltextdata_= [];
        //var pix30 = " &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata1[i];
        }
        text_cont = alltextdata_.join("<br>");
        alltextdata_= [];
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata2[i];
        }
        text_cont = text_cont+"<br><br>"+alltextdata_.join("<br>");
        //text_cont = alltextdata_.join("<br>");
        alltextdata_= [];
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata3[i];
        }
        text_cont = text_cont+"<br><br>"+alltextdata_.join("<br>");
        alltextdata_= [];
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata4[i];
        }
        text_cont = text_cont+"<br><br>"+alltextdata_.join("<br>");
        alltextdata_= [];
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata5[i];
        }
        text_cont = text_cont+"<br><br>"+alltextdata_.join("<br>");
        alltextdata_= [];
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata6[i];
        }
        text_cont = text_cont+"<br><br>"+alltextdata_.join("<br>");
        alltextdata_= [];
        for (var i = 0; i < 7; i++) {
            alltextdata_[i] = alltextdata7[i];
        }
        text_cont = text_cont+"<br><br>"+alltextdata_.join("<br>");
    }

    viv_t ();
    //   HSAddImage(scene, "fon",760,110,"img/bg_w.jpg",49,350,360,"txt_all");
    HSAddText(scene,"text_cont",760,110,text_cont,"baseText_20_s lh15 txt_all",50,461,360);

    var playaudbtn = HSAddButton(scene,"playaudbtn",528,416,"img/play.png",10);
    playaudbtn.click(function() {
        video_main.play();
        playaudbtn.hide();
    });
    function video_finished (){
        playaudbtn.show();
    }

 
}